Bug 1262928 - (CVE-2015-0853) CVE-2015-0853 pysvn: Insecure use of os.system() in Workbench
CVE-2015-0853 pysvn: Insecure use of os.system() in Workbench
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150913,repor...
: Security
Depends On: 1262929 1262930
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 12:13 EDT by Adam Mariš
Modified: 2015-10-21 10:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 13:01:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-09-14 12:13:40 EDT
A vulnerability in Workbench was found. If a user was tricked into using the "Command Shell" menu item while in a directory with a specially-crafted name, svn-workbench would execute arbitrary commands with the permissions of the user.

Reproducer available at:

http://seclists.org/oss-sec/2015/q3/542
Comment 1 Adam Mariš 2015-09-14 12:14:18 EDT
Created pysvn tracking bugs for this issue:

Affects: fedora-all [bug 1262929]
Affects: epel-all [bug 1262930]
Comment 2 Stephen Gallagher 2015-09-18 13:01:21 EDT
According to the reproducer page, this affects the svn-workbench project, not pysvn. svn-workbench produced by the same upstream, but there is no such vulnerability in pysvn.

Fedora does not ship svn-workbench, so closing all as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.